Bug 495264 - Trouble after update F8 to F10
Trouble after update F8 to F10
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-10 19:01 EDT by gustavo
Modified: 2009-04-19 09:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-11 08:28:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gustavo 2009-04-10 19:01:27 EDT
Description of problem:
Since upgrade from Fedora8 to Fedora 10: 
1-No users in gdm login list.
2-Access denied to send when try to shutdown (root at tty1)
3-some troubles that i can not solve wiyh Selinux



Contexto Fuente:  system_u:system_r:system_dbusd_t:SystemLow-SystemHighContexto Destino:  system_u:object_r:consolekit_exec_tObjetos Destino:  ./console-kit-daemon [ file ]Fuente:  dbus-daemon-lauDirección de Fuente:  /lib/dbus-1/dbus-daemon-launch-helperPuerto:  <Desconocido>Nombre de Equipo:  deimos.martePaquetes RPM Fuentes:  dbus-1.2.4-2.fc10Paquetes RPM Destinos:  RPM de Políticas:  selinux-policy-3.5.13-54.fc10SELinux Activado:  TrueTipo de Política:  targetedMLS Activado:  TrueModo Obediente:  EnforcingNombre de Plugin:  catchall_fileNombre de Equipo:  deimos.martePlataforma:  Linux deimos.marte 2.6.27.21-170.2.56.fc10.i686 #1 SMP Mon Mar 23 23:37:54 EDT 2009 i686 i686Cantidad de Alertas:  6Visto por Primera Vez:  mar 07 abr 2009 23:35:13 ARTVisto por Última Vez:  vie 10 abr 2009 17:36:19 ARTID Local:  335884ed-c73b-4cc1-a0a6-e4624eba80abNúmeros de Línea:  Mensajes de Auditoría Crudos :node=deimos.marte type=AVC msg=audit(1239395779.305:24): avc: denied { read } for pid=2661 comm="dbus-daemon-lau" name="console-kit-daemon" dev=sda7 ino=3121579 scontext=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:consolekit_exec_t:s0 tclass=file node=deimos.marte type=SYSCALL msg=audit(1239395779.305:24): arch=40000003 syscall=11 success=no exit=-13 a0=86bee48 a1=86bedc8 a2=86be008 a3=2e89bc items=0 ppid=2660 pid=2661 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="dbus-daemon-lau" exe="/lib/dbus-1/dbus-daemon-launch-helper" subj=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 key=(null) 


Contexto Fuente:  system_u:system_r:system_dbusd_t:SystemLow-SystemHighContexto Destino:  system_u:object_r:consolekit_exec_tObjetos Destino:  ./console-kit-daemon [ file ]Fuente:  dbus-daemon-lauDirección de Fuente:  /lib/dbus-1/dbus-daemon-launch-helperPuerto:  <Desconocido>Nombre de Equipo:  deimos.martePaquetes RPM Fuentes:  dbus-1.2.4-2.fc10Paquetes RPM Destinos:  RPM de Políticas:  selinux-policy-3.5.13-54.fc10SELinux Activado:  TrueTipo de Política:  targetedMLS Activado:  TrueModo Obediente:  EnforcingNombre de Plugin:  catchallNombre de Equipo:  deimos.martePlataforma:  Linux deimos.marte 2.6.27.21-170.2.56.fc10.i686 #1 SMP Mon Mar 23 23:37:54 EDT 2009 i686 i686Cantidad de Alertas:  6Visto por Primera Vez:  mar 07 abr 2009 23:35:14 ARTVisto por Última Vez:  vie 10 abr 2009 17:36:23 ARTID Local:  7ef2aaee-4121-43f5-922d-ccbd5ee84de8Números de Línea:  Mensajes de Auditoría Crudos :node=deimos.marte type=AVC msg=audit(1239395783.113:25): avc: denied { read } for pid=2714 comm="dbus-daemon-lau" name="console-kit-daemon" dev=sda7 ino=3121579 scontext=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:consolekit_exec_t:s0 tclass=file node=deimos.marte type=SYSCALL msg=audit(1239395783.113:25): arch=40000003 syscall=11 success=no exit=-13 a0=8db1e48 a1=8db1dc8 a2=8db1008 a3=3069bc items=0 ppid=2713 pid=2714 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="dbus-daemon-lau" exe="/lib/dbus-1/dbus-daemon-launch-helper" subj=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 key=(null) 



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
I read bugziilla reports for 2 weeks but can not find a solution for this topics.
Comment 1 Daniel Walsh 2009-04-11 08:28:35 EDT
Make sure you have all the latest f10 code.

yum -y upgrade


This should be allowed by the current policy.

selinux-policy-3.5.13-51.fc10
Comment 2 gustavo 2009-04-11 09:10:48 EDT
(In reply to comment #1)

I run yum every morning

Current version  selinux-policy-3.5.13-54.fc10
Comment 3 gustavo 2009-04-19 09:46:57 EDT
(In reply to comment #2)
> (In reply to comment #1)
> 
> I run yum every morning
> 
> Current version  selinux-policy-3.5.13-54.fc10  

(In reply to comment #1)
> Make sure you have all the latest f10 code.
> 
> yum -y upgrade
> 
> 
> This should be allowed by the current policy.
> 
> selinux-policy-3.5.13-51.fc10  

Current version  selinux-policy-3.5.13-55.fc10 still fail.

Note You need to log in before you can comment on or make changes to this bug.